Subject: Re: Custom subcommand help handlers

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Dec 2021 11:53:41 -0800

Johannes Schindelin <[email-masked]> writes:

> On Mon, 20 Dec 2021, Junio C Hamano wrote:
>
>> "brian m. carlson" <[email-masked]> writes:
>>
>> > I should point out that in most cases on Unix, it _is_ expected that you
>> > install your manual pages into the same place as everyone else, so in
>> > this case, installing the HTML documentation alongside Git's may be the
>> > best solution.
>>
>> Yup, that sounds like the most sensible way to do things.
>
> So what about `~/bin/git-my-reply-to-junio`? Do we expect people to write
> a manual page and install it into `~/man/man1` and for `man` to pick that
> up?

Yes, if they write one, and then tell man that you have extra
manpages there via MANPATH.

I expect people *not* to write a manual page in practice for such a
thing, though ;-)